---
#
- name: postgresql | ensure python libraries present
  ansible.builtin.apt:
    name: pip
    state: present

- name: postgresql | ensure python libraries present
  ansible.builtin.pip:
    name: "{{ postgresql_python_library }}"
    state: present

- name: postgresql | create a new DB
  community.postgresql.postgresql_db:
    name: "{{ psql_db_name }}"
    comment: My DB "{{ psql_db_name }}"
#    login_password: ""
#    login_host: localhost
#    login_user: postgres
#  remote_user: root
#  become: yes
#  become_user: postgres

- name: postgresql | create new user
  community.postgresql.postgresql_user:
    db: "{{ psql_db_name }}"
    name: "{{ psql_db_user }}"
    password: "{{ psql_user_pwd }}"
    expires: "{{ psql_pwd_expire }}"

- name: postgresql | grant privileges on DB
  community.postgresql.postgresql_privs:
    db: "{{ psql_db_name }}"
    privs: "{{ psql_db_privileges }}"
    type: database
    obj: "{{ psql_db_name }}"
    role: "{{ psql_db_user }}"

- name: postgesql | set owner DB_USER for DB
  community.postgresql.postgresql_owner:
    db: "{{ psql_db_name }}"
    new_owner: "{{ psql_db_user }}"
    obj_type: database
